Confused after upgrade to 2.0.12

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
Eddy Matthews
Registered User
Posts: 63
Joined: Tue Mar 30, 2004 11:28 pm

Confused after upgrade to 2.0.12

Post by Eddy Matthews »

I upgraded to 2.0.12 by editing all the necessary files by hand - Because of the number of mods I have installed I don't trust upgrade scripts!

After editing every file and adding the new stuff, the Admin panel still insists that I'm running 2.0.11 WHY???

Where is phpbb getting the version number?

For now I've removed the changes in index.php - everything else has been modified - But the warning on the index page was annoying the heck outta me! Where is phpbb getting the version info from? Why does it insist that I'm still running 2.0.11???

HELP!

Regards
Eddy

Ms Givings
Registered User
Posts: 17
Joined: Tue Feb 22, 2005 10:44 pm

Re: Confused after upgrade to 2.0.12

Post by Ms Givings »

Hi Eddy,

Snap! I've been running phpBB for nearly a year now and this is the first update that has given me any probs. It all seems to work OK, but like you, my ACP is lying to me the bugger! Why is he doing this? ;-)
Eddy Matthews wrote: After editing every file and adding the new stuff, the Admin panel still insists that I'm running 2.0.11 WHY???

Yep. exact same issue here.
Where is phpbb getting the version number?

Good question, I've spent two hours trying various edits on various TPL files to no avail.
For now I've removed the changes in index.php

Can you tell me what you removed - line numbers? Please. This message is driving me batty.

Thanks
Miranda
a fool and his honey are soon parted

Eddy Matthews
Registered User
Posts: 63
Joined: Tue Mar 30, 2004 11:28 pm

Post by Eddy Matthews »

Hi Miranda,

I'm glad I'm not the only one with this problem! I can't give you line numbers because of the amount of mods that I have installed, but I removed the following from my index.php file, at approx line 559


// Check for new version
$current_version = explode('.', '2' . $board_config['version']);
$minor_revision = (int) $current_version[2];

$errno = 0;
$errstr = $version_info = '';

if ($fsock = @fsockopen('www.phpbb.com', 80, $errno, $errstr))
{
@fputs($fsock, "GET /updatecheck/20x.txt HTTP/1.1\r\n");
@fputs($fsock, "HOST: www.phpbb.com\r\n");
@fputs($fsock, "Connection: close\r\n\r\n");

$get_info = false;
while (!@feof($fsock))
{
if ($get_info)
{
$version_info .= @fread($fsock, 1024);
}
else
{
if (@fgets($fsock, 1024) == "\r\n")
{
$get_info = true;
}
}
}
@fclose($fsock);

$version_info = explode("\n", $version_info);
$latest_head_revision = (int) $version_info[0];
$latest_minor_revision = (int) $version_info[2];
$latest_version = (int) $version_info[0] . '.' . (int) $version_info[1] . '.' . (int) $version_info[2];

if ($latest_head_revision == 2 && $minor_revision == $latest_minor_revision)
{
$version_info = '<p style="color:green">' . $lang['Version_up_to_date'] . '</p>';
}
else
{
$version_info = '<p style="color:red">' . $lang['Version_not_up_to_date'];
$version_info .= '<br />' . sprintf($lang['Latest_version_info'], $latest_version) . sprintf($lang['Current_version_info'], '2' . $board_config['version']) . '</p>';
}
}
else
{
if ($errstr)
{
$version_info = '<p style="color:red">' . sprintf($lang['Connect_socket_error'], $errstr) . '</p>';
}
else
{
$version_info = '<p>' . $lang['Socket_functions_disabled'] . '</p>';
}
}

$version_info .= '<p>' . $lang['Mailing_list_subscribe_reminder'] . '</p>';

$template->assign_vars(array(
'VERSION_INFO' => $version_info,
'L_VERSION_INFORMATION' => $lang['Version_information'])
);


No doubt all of the above will screw up totally because of the phpbb formatting, but I hope it helps to get rid of the error msg....

Regards
Eddy

groundfighter
Registered User
Posts: 1909
Joined: Sat Nov 08, 2003 2:15 am
Location: Las Vegas, NV
Contact:

Post by groundfighter »

It is a db entry

Hawk-G-
Registered User
Posts: 3
Joined: Wed Nov 10, 2004 3:37 pm

Post by Hawk-G- »

The version number is located in the database.

phpbb_config - version

change .0.11 to .0.12 ;)

flogger12
Registered User
Posts: 14936
Joined: Tue Nov 25, 2003 2:13 am

Post by flogger12 »

any time you do an update, you have to update the database also, there is always a script included with the zip files to do it with.
you will need to create a folder on the server named install and put the update_to_2.0.211.php file in it, then point your browser to it and then delete it and the install folder when done.

In some previous upgrades, this did nothing but update the version number in the database. In this latest version it makes other changes to the database so if you haven't done it, then you are not finished with the upgrade.

luck,
robert

TheGameRat
Registered User
Posts: 26
Joined: Mon Feb 21, 2005 5:47 pm
Contact:

Post by TheGameRat »

Like I mentioned yesterday:

UPDATE phpbb_config SET config_value = '.0.12' WHERE config_name = 'version' LIMIT 1;

^ Insert that in the database query window (phpMyAdmin) and hit go.

Eddy Matthews
Registered User
Posts: 63
Joined: Tue Mar 30, 2004 11:28 pm

Post by Eddy Matthews »

TheGameRat wrote: Like I mentioned yesterday:

UPDATE phpbb_config SET config_value = '.0.12' WHERE config_name = 'version' LIMIT 1;

^ Insert that in the database query window (phpMyAdmin) and hit go.


I've never edited my SQL databases manually before - I can call up phpMyAdmin, but there's so much stuff there I don't want to screw up my database!

Can anyone guide me through what to enter where in detail please?

Regards
Eddy

Hawk-G-
Registered User
Posts: 3
Joined: Wed Nov 10, 2004 3:37 pm

Post by Hawk-G- »

jusat use what TheGameRat wrote it will do the job for you

TheGameRat
Registered User
Posts: 26
Joined: Mon Feb 21, 2005 5:47 pm
Contact:

Post by TheGameRat »

Eddy Matthews wrote:
TheGameRat wrote:Like I mentioned yesterday:

UPDATE phpbb_config SET config_value = '.0.12' WHERE config_name = 'version' LIMIT 1;

^ Insert that in the database query window (phpMyAdmin) and hit go.


I've never edited my SQL databases manually before - I can call up phpMyAdmin, but there's so much stuff there I don't want to screw up my database!

Can anyone guide me through what to enter where in detail please?

Regards
Eddy


Log into your PhpMyAdmin SQL Database and there's a thing in the bottom left that says "Query Window". Click on that and a new window will open up, inside the box in the window insert the script and hit "Go" and it will work. It won't mess anything up. :)

Eddy Matthews
Registered User
Posts: 63
Joined: Tue Mar 30, 2004 11:28 pm

Post by Eddy Matthews »

TheGameRat wrote: Log into your PhpMyAdmin SQL Database and there's a thing in the bottom left that says "Query Window". Click on that and a new window will open up, inside the box in the window insert the script and hit "Go" and it will work. It won't mess anything up. :)


That seems to have done it, thanks!

I'll add the code back into index.php and see if it displays without giving a warning now....

Thanks for taking the time to talk a relative newbie through this...

Regards
Eddy

Ms Givings
Registered User
Posts: 17
Joined: Tue Feb 22, 2005 10:44 pm

Post by Ms Givings »

Hi Eddy,

I hope you're all fixed now.
I just did this:

Copy the entire install folder from the 2.0.12 updater pack to the root of yoir phpBB installation. Then point your browser to: http://yourdomain/phpBB2/install/update_to_latest.php
Don't forget to delete the install folder after you've updated the database.

Thank Jim for this - he just sorted me out! ;-)

Best wishes
Miranda
a fool and his honey are soon parted

Eddy Matthews
Registered User
Posts: 63
Joined: Tue Mar 30, 2004 11:28 pm

Post by Eddy Matthews »

Magic, problem solved, thanks....

Regards
Eddy

Eddy Matthews
Registered User
Posts: 63
Joined: Tue Mar 30, 2004 11:28 pm

Post by Eddy Matthews »

All sorted and running fine thanks Miranda.... I'm still glad I wasn't the only one who had a problem! It's aweful being a total plonker all on your own :-)

Regards
Eddy

Locked

Return to “2.0.x Support Forum”